#
# spec file for package pam_mount (Version 0.10.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-devel pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pam_mount
BuildRequires:  glib2-devel openssl-devel pam-devel
Summary:        A PAM Module that can Mount Volumes for a User Session.
Version:        0.10.0
Release:        13.2
License:        LGPL
Prefix:         /usr
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.flyn.org/projects/pam_mount/

%description
This module is aimed at environments with SMB (Samba or Windows NT) or
NCP (Netware or Mars-NWE) servers that Unix users wish to access
transparently. It facilitates access to private volumes of these types.
This module also supports mounting home directories using loopback
encrypted filesystems. The module was originally written for use on the
Linux operating system but has since been modified to work on several
flavors of BSD.

o Every user can access their own volumes

o The user only needs to type the password once (at login)

o The mounting process is transparent to the user

o There is no need to keep the login passwords in any additional files

o The volumes are unmounted on logout, so it saves system resources,
avoiding the need to list every possibly useful remote volume in
/etc/fstab or in an automount/supermount config file. This is also
necessary for securing encrypted filesystems.

Pam_mount "understands" SMB, NCP, and any type of filesystem that can
be mounted using the standard mount command. If someone has a
particular need for a different filesystem, feel free to ask me to
include it and send me patches.



%debug_package
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure \
	--prefix=%{_prefix} --libdir=/%{_lib} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}
# Remove static and libtool version
rm ${RPM_BUILD_ROOT}/%{_lib}/security/pam_mount.{a,la}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/security
cp config/pam_mount.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/security

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README FAQ
/%{_lib}/security/pam_mount*.so
%{_prefix}/bin/mkehd
%{_prefix}/bin/autoehd
%{_prefix}/bin/passwdehd
%{_prefix}/bin/mount_ehd
%{_prefix}/bin/mount.crypt
%{_prefix}/bin/umount.crypt
%{_sbindir}/pmvarrun
%config(noreplace) %{_sysconfdir}/security/pam_mount.conf
%doc %{_mandir}/man8/pam_mount.8.gz

%changelog -n pam_mount
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 22 2005 - varkoly@suse.de
- Update to version 0.10.0
* Mon Dec 19 2005 - ro@suse.de
- added symlinks to package
* Mon Jul 11 2005 - schubi@suse.de
- Update to version 0.9.25
* Mon Apr 11 2005 - kukuk@suse.de
- Update to version 0.9.22 [Bug #65110]
* Thu Jan 15 2004 - kukuk@suse.de
- Build as user
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 - kukuk@suse.de
- Update to version 0.9.9
* Mon Oct 27 2003 - kukuk@suse.de
- Update to version 0.9.6 [Bug #32216]
* Wed May 28 2003 - kukuk@suse.de
- Initial package
